Corregir o confirmar un veredicto
curl --request POST \
--url https://api.zelto.ai/v1/benchmarks/{id}/overrides \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cellId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"judgeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "<string>",
"layerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.zelto.ai/v1/benchmarks/{id}/overrides"
payload = {
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cellId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"judgeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "<string>",
"layerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
runId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
cellId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
judgeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
reason: '<string>',
layerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.zelto.ai/v1/benchmarks/{id}/overrides', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.zelto.ai/v1/benchmarks/{id}/overrides",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'runId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'cellId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'judgeId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'reason' => '<string>',
'layerId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.zelto.ai/v1/benchmarks/{id}/overrides"
payload := strings.NewReader("{\n \"runId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"cellId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"judgeId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"reason\": \"<string>\",\n \"layerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.zelto.ai/v1/benchmarks/{id}/overrides")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"runId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"cellId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"judgeId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"reason\": \"<string>\",\n \"layerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.zelto.ai/v1/benchmarks/{id}/overrides")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"runId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"cellId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"judgeId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"reason\": \"<string>\",\n \"layerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"runId": "<string>",
"cellId": "<string>",
"judgeId": "<string>",
"judgeRevision": 123,
"layerId": "<string>",
"kind": "flip",
"passed": true,
"judgePassed": true,
"reason": "<string>",
"actorUserId": "<string>",
"createdAt": "<string>",
"clearedAt": "<string>"
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"hint": "<string>",
"parameter": "<string>",
"unknown": [
"<string>"
],
"valid": [
"<string>"
],
"details": {}
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"hint": "<string>",
"parameter": "<string>",
"unknown": [
"<string>"
],
"valid": [
"<string>"
],
"details": {}
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"hint": "<string>",
"parameter": "<string>",
"unknown": [
"<string>"
],
"valid": [
"<string>"
],
"details": {}
}{
"error": "validation_failed",
"code": "validation_failed",
"message": "<string>",
"hint": "<string>",
"details": {}
}Benchmarks
Corregir o confirmar un veredicto
flip establece lo contrario del veredicto del Judge; confirm registra que el Judge acertó. Se requiere un motivo. Los resultados de la ejecución se recalculan de inmediato con el nuevo veredicto efectivo. Queda en el registro de auditoría.
POST
/
v1
/
benchmarks
/
{id}
/
overrides
Corregir o confirmar un veredicto
curl --request POST \
--url https://api.zelto.ai/v1/benchmarks/{id}/overrides \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cellId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"judgeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "<string>",
"layerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.zelto.ai/v1/benchmarks/{id}/overrides"
payload = {
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cellId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"judgeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "<string>",
"layerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
runId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
cellId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
judgeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
reason: '<string>',
layerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.zelto.ai/v1/benchmarks/{id}/overrides', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.zelto.ai/v1/benchmarks/{id}/overrides",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'runId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'cellId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'judgeId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'reason' => '<string>',
'layerId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.zelto.ai/v1/benchmarks/{id}/overrides"
payload := strings.NewReader("{\n \"runId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"cellId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"judgeId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"reason\": \"<string>\",\n \"layerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.zelto.ai/v1/benchmarks/{id}/overrides")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"runId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"cellId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"judgeId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"reason\": \"<string>\",\n \"layerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.zelto.ai/v1/benchmarks/{id}/overrides")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"runId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"cellId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"judgeId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"reason\": \"<string>\",\n \"layerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"runId": "<string>",
"cellId": "<string>",
"judgeId": "<string>",
"judgeRevision": 123,
"layerId": "<string>",
"kind": "flip",
"passed": true,
"judgePassed": true,
"reason": "<string>",
"actorUserId": "<string>",
"createdAt": "<string>",
"clearedAt": "<string>"
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"hint": "<string>",
"parameter": "<string>",
"unknown": [
"<string>"
],
"valid": [
"<string>"
],
"details": {}
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"hint": "<string>",
"parameter": "<string>",
"unknown": [
"<string>"
],
"valid": [
"<string>"
],
"details": {}
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"hint": "<string>",
"parameter": "<string>",
"unknown": [
"<string>"
],
"valid": [
"<string>"
],
"details": {}
}{
"error": "validation_failed",
"code": "validation_failed",
"message": "<string>",
"hint": "<string>",
"details": {}
}Autorizaciones
Envía Authorization: Bearer YOUR_API_KEY. La clave corresponde a una sola organización.
Parámetros de ruta
Id del benchmark.
Cuerpo
application/json
La celda (caso × candidato × repetición) de los resultados por caso.
Opciones disponibles:
flip, confirm Required string length:
1 - 2000Capa de puntuación (una recalificación). Por defecto: la capa original.
Respuesta
Respuesta correcta.
La inversión o confirmación de un veredicto de un Judge por parte de un miembro.
Opciones disponibles:
flip, confirm 
